/// <reference types="node" resolution-mode="require"/>
import fsMod from 'node:fs';
import type { Plugin } from 'vite';
import type { AstroSettings } from '../@types/astro.js';
import { type ContentLookupMap } from './utils.js';
interface AstroContentVirtualModPluginParams {
    settings: AstroSettings;
}
export declare function astroContentVirtualModPlugin({ settings, }: AstroContentVirtualModPluginParams): Plugin;
export declare function generateContentEntryFile({ settings, fs, lookupMap, }: {
    settings: AstroSettings;
    fs: typeof fsMod;
    lookupMap: ContentLookupMap;
}): Promise<string>;
/**
 * Generate a map from a collection + slug to the local file path.
 * This is used internally to resolve entry imports when using `getEntry()`.
 * @see `content-module.template.mjs`
 */
export declare function generateLookupMap({ settings, fs, }: {
    settings: AstroSettings;
    fs: typeof fsMod;
}): Promise<ContentLookupMap>;
export {};
